> ## Documentation Index
> Fetch the complete documentation index at: https://developers.manglai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Waste Operator

> Upsert a new waste operator



## OpenAPI

````yaml /openapi.json post /api/v1/waste-operators
openapi: 3.0.3
info:
  title: Manglai Public API
  description: Manglai API for Carbon Footprint Management
  contact:
    email: admin@manglai.io
    name: Manglai Support
    url: https://manglai.io
  termsOfService: https://manglai.io/privacy
  version: '1.0'
servers:
  - url: https://www.manglai.io
    description: Production
security:
  - apiTokenAuth: []
tags: []
paths:
  /api/v1/waste-operators:
    post:
      tags:
        - waste-operators
      summary: Create Waste Operator
      description: Upsert a new waste operator
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  example: c5b87f15-33ed-4522-90eb-d23473ab911d
                name:
                  type: string
                  example: John Doe
                email:
                  type: string
                  example: john@doe.com
                address:
                  type: string
                  example: 123 Main St, New York, NY 10001
                companyId:
                  type: string
                  format: uuid
                  example: c5b87f15-33ed-4522-90eb-d23473ab911d
                externalId:
                  type: string
                  example: '123456789'
              required:
                - id
                - name
                - email
                - address
                - companyId
      responses:
        '200':
          description: The waste operator
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: c5b87f15-33ed-4522-90eb-d23473ab911d
                  name:
                    type: string
                    example: John Doe
                  email:
                    type: string
components:
  securitySchemes:
    apiTokenAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````